API ReferenceNon Insurance PayersV1
Get non-insurance payer
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
non_insurance_payer_id*non-insurance-payersv1NonInsurancePayerId
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/non-insurance-payers/v1/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "non_insurance_payer_id": "8aaf7567-cd3d-41a3-9d13-4e727c1f7ad1", "name": "Sunrise Foundation", "description": "string", "category": "string", "enabled": true, "address": { "zip_plus_four_code": "string", "address1": "string", "address2": "string", "city": "string", "state": "AA", "zip_code": "string" }, "clinical_trials": [ { "clinical_trial_id": "656d392d-2bad-45a1-bb5d-94637107f232", "non_insurance_payer_id": "8aaf7567-cd3d-41a3-9d13-4e727c1f7ad1", "is_active": true, "name": "string", "clinical_trial_number": "string", "clinical_trial_phase": "Phase 1" } ]}List categories GET
Returns a paginated list of all non-insurance payer categories. Non-insurance payer categories are simply strings and are not stored as a separate object in Taiga. They are created when added to at least one non-insurance payer's `category` field and are deleted when there are no longer any non-insurance payers that contain them.
Update non-insurance payer PATCH
Next Page